import java.lang.Object;
import java.awt.print.Paper;
import java.awt.;
import java.awt.;
public class Nuance extends Color
{
	private Color color;
  	public Nuance(Color color)
  	{
  		this.color = color;

  	}
  	@Override
  	protected void paintComponent(Graphics pinceau)
  	{
  		Graphics secondPinceau = pinceau.create();

    	secondPinceau.setColor(this.getBackground(Color.color));
      	secondPinceau.fillRect(0, 0, 80, 80);

		secondPinceau.setColor(this.getBackground(Color.BLACK));
      	secondPinceau.fillRect(0, 0, 20, 20);

    	secondPinceau.setColor(this.getForeground(Color.WHITE));
    	secondPinceau.drawString("%d, %d, %d", getRed(), getGreen(), getBlue());
 	}
}
